> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dexutils.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Token Top Holders

> Retrieve the largest wallets holding a specific token, ranked by token balance.

```http theme={null}
GET /tokens/{address}/top_holders
```

### Path Parameters

<ParamField path="address" type="string" required>
  Token contract address.
</ParamField>

### **Query Parameters**

<ParamField query="chain" type="string" required>
  Blockchain network where the token is deployed.
</ParamField>

<ParamField query="page" type="integer">
  Page number of the results to retrieve, starting from `1` .

  Default `1` Max `100` Min `1`
</ParamField>

<ParamField query="page_size" type="integer">
  Number of records to return per page.

  Default: `50` Max: `100` Min: `10`
</ParamField>

### Code Examples

<CodeGroup>
  ```bash cURL theme={null}
  # Replace with your actual API key from the DEXUtils platform
  curl "https://api.dexutils.io/tokens/0x6982508145454ce325ddbe47a25d4ec3d2311933/top_holders?chain=ethereum&page=1&page_size=10" \
    -H "API-KEY: apikey"
  ```

  ```python Python theme={null}
  import requests

  # Replace with your actual API key from the DEXUtils platform
  address = "0x6982508145454ce325ddbe47a25d4ec3d2311933"
  url = f"https://api.dexutils.io/v1/tokens/{address}/top_holders"
  headers = {"API-KEY": "apikey"}
  params = {
  	"chain": "ethereum",
  	"page": 1,
  	"page_size": 10,
  }

  response = requests.get(url, headers=headers, params=params)
  res = response.json()
  ```
</CodeGroup>

***

### **Response Fields**

<ResponseField name="wallet_address" type="string">
  Wallet address of the holder.
</ResponseField>

<ResponseField name="rank" type="integer">
  Holder's rank by token balance.
</ResponseField>

<ResponseField name="token_balance" type="float">
  Amount of tokens held by the wallet.
</ResponseField>

<ResponseField name="usd_value" type="float">
  Estimated USD value of the token holdings.
</ResponseField>

### Example Response

```json Example Response theme={null}
[
    {
        "wallet_address": "0xf977814e90da44bfa03b6295a0616a897441acec",
        "rank": 1,
        "token_balance": 36000000000000.0,
        "usd_value": 98811187.81649892
    },
    {
        "wallet_address": "0x5a52e96bacdabb82fd05763e25335261b270efcb",
        "rank": 2,
        "token_balance": 33023541724060.85,
        "usd_value": 90641538.43506014
    },
    {
        "wallet_address": "0x1d48963dd8fada6ab5c2c7b92eba81ecc5030270",
        "rank": 3,
        "token_balance": 28874092948935.883,
        "usd_value": 79252317.26134308
    },
    {
        "wallet_address": "0x3f9a8345729ea842708e080e238c92731e5699b8",
        "rank": 4,
        "token_balance": 14932046302242.71,
        "usd_value": 40984811.9904323
    },
    {
        "wallet_address": "0x611f7bf868a6212f871e89f7e44684045ddfb09d",
        "rank": 5,
        "token_balance": 13100277792438.535,
        "usd_value": 35957055.816582054
    },
    {
        "wallet_address": "0x15da7556d5ed888306839bed06f868aeaedcb0d7",
        "rank": 6,
        "token_balance": 9134237578624.023,
        "usd_value": 25071246.248387244
    },
    {
        "wallet_address": "0xc671b05671a7cd3080c6ceae79d284bdde0ef271",
        "rank": 7,
        "token_balance": 8988239773587.041,
        "usd_value": 24670518.01132319
    },
    {
        "wallet_address": "0x76ec5a0d3632b2133d9f1980903305b62678fbd3",
        "rank": 8,
        "token_balance": 7618942290365.344,
        "usd_value": 20912131.600454345
    },
    {
        "wallet_address": "0x000000000000000000000000000000000000dead",
        "rank": 9,
        "token_balance": 6917531765849.299,
        "usd_value": 18986931.40394257
    },
    {
        "wallet_address": "0xa023f08c70a23abc7edfc5b6b5e171d78dfc947e",
        "rank": 10,
        "token_balance": 6084193827000.069,
        "usd_value": 16699622.748657977
    }
]
```
